# $Revision: 1.24 $, $Date: 2004/07/28 20:31:35 $
#
# Conditional build:
%bcond_without	xine	# disable media file preview (uses xine)
#
Summary:	QT GUI for dctc (Direct Connect)
Summary(pl):	Oparte o QT GUI do dctc (Direct Connect)
Name:		dc-qt
Version:	0.1.1
Release:	3
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://dl.sourceforge.net/dc-qt/%{name}-%{version}.tar.gz
# Source0-md5:	411758af4bf06198570aa14f534249e0
Source1:	%{name}.desktop
Patch0:		%{name}-configure.patch
Patch1:		%{name}-preview.patch
URL:		http://sourceforge.net/projects/dc-qt/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	qt-devel >= 2.3
%{?with_xine:BuildRequires:	xine-lib-devel}
Requires:	dctc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Direct Connect client (dctc) QT GUI.

%description -l pl
Graficzny interfejs uytkownika uywajcy QT do dctc (Direct Connect).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--%{?with_xine:en}%{!?with_xine:dis}able-preview \
	--with-qt-libs=%{_libdir} \
	--with-qt-includes=%{_includedir}/qt

%{__make} \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README 
%attr(755,root,root) %{_bindir}/dc_qt
#%attr(644,root,root) %{_pixmapsdir}/*.xpm
%attr(644,root,root) %{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dc-qt.spec,v $
Revision 1.24  2004/07/28 20:31:35  qboosh
- release 3

Revision 1.23  2004/07/28 16:42:28  qboosh
- unified Source URL

Revision 1.22  2004/07/28 11:43:56  pluto
- bcond(xine) added. now it works without media preview.

Revision 1.21  2004/07/28 00:55:31  pluto
- BR(xine-lib-devel) added.

Revision 1.20  2004/07/27 22:39:23  havner
- applnk -> vfolders
- rel 2

Revision 1.19  2004/06/17 15:03:23  blues
- Proper BR

Revision 1.18  2004/06/11 19:29:43  kosmo
- updated to 0.1.1

Revision 1.17  2004/03/02 21:24:21  pawelb
- up to 0.1.0

Revision 1.16  2004/02/20 16:00:57  blues
- does not build on my system, but this is right

Revision 1.15  2004/02/20 15:48:01  pawelb
- up to 0.0.9

Revision 1.14  2003/12/18 18:46:37  domelu
- up to 0.0.8

Revision 1.13  2003/09/14 18:03:16  misi3k
- updated to 0.0.7
- cosmetics

Revision 1.12  2003/06/23 10:14:55  qboosh
- fixed files, use _pixmapsdir macro

Revision 1.11  2003/06/22 12:07:36  misi3k
- updated to 0.0.6
- cosmetics
Note: missing icon.xpm file :(

Revision 1.10  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.9  2003/05/26 16:24:52  malekith
- massive attack: adding Source-md5

Revision 1.8  2003/05/25 05:46:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/01/18 22:46:43  juandon
- removed two lines with define

Revision 1.6  2002/07/04 00:51:58  kloczek
- release 3.

Revision 1.5  2002/07/03 14:20:25  wolf
- cc, cflags and stuff

Revision 1.4  2002/06/03 12:48:15  kloczek
- fix bashizm in %build and use new %doc.

Revision 1.3  2002/06/03 09:19:37  pascalek
- Release 2, home_etc patch added

Revision 1.2  2002/05/12 03:42:30  blues
- makefile patch - allow to compile with qt2
- fixes in files and desktop added
NOTE:makefile patch is mostly for qt2 only...
STBR

Revision 1.1  2002/05/11 17:49:46  blues
- initial version. version 0.0.3
QT GUI for dctc. Does not build.
